Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 4.7.0SynchronousAuth Required
SetVolumeIoThreadPin
SetVolumeIoThreadPin
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
setvolumeiothreadpinObjectRequiredsetvolumeiothreadpin request body object.
vmUuidStringRequiredThe VM instance UUID.
pinStringRequiredThe CPU pinning range.
ioThreadIdintRequiredThe IO thread id.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/volumes/{uuid}/actions
/zstack/v1/volumes/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/volumes/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvolumeiothreadpin":{"vmUuid":"<vmUuid>","pin":"<pin>","ioThreadId":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "volumeUuid": "1a4f1e7372283246bd5400dc452d2937", "pin": "3-6", "ioThreadId": 1 }Change History
This API has no change history records yet.
